<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xmlns:xslt="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:msxsl="urn:schemas-microsoft-com:xslt">

<xsl:template match="/">

    <div class="script">

    <xsl:for-each select="//function">

        <div class="function">
            <span class="type"><xsl:value-of select="@type"
                /></span>
            <span class="name" onclick="clickName(this)"><xsl:value-of select="@name"
                    /></span><xsl:for-each select="parameters">
                    (<xsl:for-each select="parameter"
                        ><span class="parameter"><xsl:value-of/></span><xsl:if
                                test="context()[not(end())]">, </xsl:if>
                </xsl:for-each>)
            </xsl:for-each>
            <div class="content">
                <pre>&#160;&#160;&#160;&#160;<xsl:value-of select="./content"/></pre>
            </div>
        </div>

    </xsl:for-each>

    </div>

</xsl:template>

</xsl:stylesheet>
